Bitcoin Forum
December 05, 2016, 04:51:14 PM *
News: Latest stable version of Bitcoin Core: 0.13.1  [Torrent].
 
   Home   Help Search Donate Login Register  
Pages: [1]
  Print  
Author Topic: ATI SDK 2.2 to 2.1 downgrade problems [ubuntu]  (Read 1777 times)
riceo
Newbie
*
Offline Offline

Activity: 2


View Profile
May 08, 2011, 12:39:12 PM
 #1

Hi Guys,

Been lurking for a while but finally come across a problem neither the forum or google search has answers for.
 
I'm running a headless Ubuntu 10.04 LTS server, with an ATI 5870.

I had all sorts of problems setting up Phoenix but eventually got it working with this post on the forum: https://www.bitcoin.org/smf/index.php?topic=3359.0;all

I was mining happily at 320mh/s with the ATI SDK 2.2 but with really high CPU usage, so I attempted to downgrade to 2.1.

I redownloaded the SDK, reinstalled pyOpenCL with:

Code:
./configure.py --cl-inc-dir=/opt/ati-stream-sdk-v2.2-lnx64/include/ --cl-lib-dir=/opt/ati-stream-sdk-v2.2-lnx64/lib/x86_64

and set my environment variable so that export now reads:

Code:
declare -x LD_LIBRARY_PATH="/opt/ati-stream-sdk-v2.1-lnx64/lib/x86_64/"

ls $LD_LIBRARY_PATH shows the correct directory with libOpenCL.so in it. However, when I try to run poclm.py I get:

Code:
Traceback (most recent call last):
  File "./poclbm.py", line 3, in <module>
    import pyopencl as cl
  File "/usr/local/lib/python2.6/dist-packages/pyopencl-0.92-py2.6-linux-x86_64.egg/pyopencl/__init__.py", line 3, in <module>
    import pyopencl._cl as _cl
ImportError: /opt/ati-stream-sdk-v2.1-lnx64/lib/x86_64/libOpenCL.so: version `OPENCL_1.1' not found (required by /usr/local/lib/python2.6/dist-packages/pyopencl-0.92-py2.6-linux-x86_64.egg/pyopencl/_cl.so)

Any ideas what is wrong?

Thanks!




1480956674
Hero Member
*
Offline Offline

Posts: 1480956674

View Profile Personal Message (Offline)

Ignore
1480956674
Reply with quote  #2

1480956674
Report to moderator
1480956674
Hero Member
*
Offline Offline

Posts: 1480956674

View Profile Personal Message (Offline)

Ignore
1480956674
Reply with quote  #2

1480956674
Report to moderator
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
1480956674
Hero Member
*
Offline Offline

Posts: 1480956674

View Profile Personal Message (Offline)

Ignore
1480956674
Reply with quote  #2

1480956674
Report to moderator
1480956674
Hero Member
*
Offline Offline

Posts: 1480956674

View Profile Personal Message (Offline)

Ignore
1480956674
Reply with quote  #2

1480956674
Report to moderator
Grinder
Legendary
*
Offline Offline

Activity: 1269


View Profile
May 08, 2011, 05:50:10 PM
 #2

Your pyopencl is probably compiled against 2.2.
Pages: [1]
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!